## CamelGpgContext

CamelGpgContext

## Synopsis

                        CamelGpgContext;
    CamelCipherContext * camel_gpg_context_new              (CamelSession *session);
    gboolean            camel_gpg_context_get_always_trust  (CamelGpgContext *context);
    void                camel_gpg_context_set_always_trust  (CamelGpgContext *context,
                                                             gboolean always_trust);

## Object Hierarchy

      GObject
       +----CamelObject
             +----CamelCipherContext
                   +----CamelGpgContext

## Properties

      "always-trust"             gboolean              : Read / Write / Construct

## Description

## Details

### CamelGpgContext

    typedef struct _CamelGpgContext CamelGpgContext;

### camel_gpg_context_new ()

    CamelCipherContext * camel_gpg_context_new              (CamelSession *session);

Creates a new gpg cipher context object.

`session` : | session
Returns : | a new gpg cipher context object.

### camel_gpg_context_get_always_trust ()

    gboolean            camel_gpg_context_get_always_trust  (CamelGpgContext *context);

`context` : | a CamelGpgContext
Returns : |

Since 2.32

### camel_gpg_context_set_always_trust ()

    void                camel_gpg_context_set_always_trust  (CamelGpgContext *context,
                                                             gboolean always_trust);

Sets the `always_trust` flag on the gpg context which is used for encryption.

`context` : |
`always_trust` : |

## Property Details

### The `"always-trust"` property

      "always-trust"             gboolean              : Read / Write / Construct

Default value: FALSE